Subject: bug#18246: enriched-encode: should set inhibit-point-motion-hooks, too

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Aug 2014 21:26:17 +0300

> From: Ivan Shmakov <[email-masked]>
> Date: Thu, 14 Aug 2014 18:14:25 +0000
> 
> 	For one thing, I actually consider the ability to move point to
> 	the middle of virtually /any/ text, including “fixed,” in Emacs
> 	(it’s not just forms, – think of tmm-menubar, for instance, or
> 	minibuffer prompts) to be a considerable /advantage./  And it
> 	gets especially useful when, say, writing a guide, – copying
> 	text from menus, forms, etc. is not nearly as easy in the
> 	majority of the modern (non-tty) software.

Since Emacs knows about every piece of text it displays, there should
be no problem to have M-w or whatever copy into the
selection/clipboard text that comes from overlays or display
properties.  There are no obstacles here, just coding.